diff -crNEB lang_de_3.0.8/de_x_sie/common.php lang_de_3.0.13-PL1/language/de_x_sie/common.php
*** lang_de_3.0.8/de_x_sie/common.php	2010-11-17 22:44:17.877719000 +0100
--- lang_de_3.0.13-PL1/language/de_x_sie/common.php	2015-01-31 18:24:56.000000000 +0100
***************
*** 4,15 ****
  * common [Deutsch — Sie]
  *
  * @package language
! * @version $Id: common.php 519 2010-11-17 21:44:17Z pyramide $
  * @copyright (c) 2005 phpBB Group; 2006 phpBB.de
  * @license http://opensource.org/licenses/gpl-license.php GNU Public License
  *
  * Deutsche Übersetzung durch die Übersetzer-Gruppe von phpBB.de:
! * siehe docs/AUTHORS und http://www.phpbb.de/go/ubersetzerteam
  *
  */
  
--- 4,15 ----
  * common [Deutsch — Sie]
  *
  * @package language
! * @version $Id: common.php 617 2013-09-29 10:21:18Z pyramide $
  * @copyright (c) 2005 phpBB Group; 2006 phpBB.de
  * @license http://opensource.org/licenses/gpl-license.php GNU Public License
  *
  * Deutsche Übersetzung durch die Übersetzer-Gruppe von phpBB.de:
! * siehe docs/AUTHORS und https://www.phpbb.de/go/ubersetzerteam
  *
  */
  
***************
*** 43,52 ****
  //
  
  $lang = array_merge($lang, array(
! 	'TRANSLATION_INFO'	=> 'Deutsche Übersetzung durch <a href="http://www.phpbb.de/">phpBB.de</a>',
  	'DIRECTION'			=> 'ltr',
  	'DATE_FORMAT'		=> '|j. M Y|', // 1. Jan 2007 (ggf. mit relativen Angaben)
! 	'USER_LANG'			=> 'de',
  
  	'1_DAY'			=> '1 Tag',
  	'1_MONTH'		=> '1 Monat',
--- 43,52 ----
  //
  
  $lang = array_merge($lang, array(
! 	'TRANSLATION_INFO'	=> 'Deutsche Übersetzung durch <a href="https://www.phpbb.de/">phpBB.de</a>',
  	'DIRECTION'			=> 'ltr',
  	'DATE_FORMAT'		=> '|j. M Y|', // 1. Jan 2007 (ggf. mit relativen Angaben)
! 	'USER_LANG'			=> 'de-x-sie',
  
  	'1_DAY'			=> '1 Tag',
  	'1_MONTH'		=> '1 Monat',
***************
*** 91,99 ****
  	'AVATAR_PARTIAL_UPLOAD'			=> 'Die ausgewählte Datei wurde nur unvollständig hochgeladen.',
  	'AVATAR_PHP_SIZE_NA'			=> 'Die Avatar-Datei ist zu groß.<br />Die durch PHP in der php.ini festgelegte maximale Größe konnte nicht ermittelt werden.',
  	'AVATAR_PHP_SIZE_OVERRUN'		=> 'Die Avatar-Datei ist zu groß, sie darf maximal %1$d %2$s groß sein.<br />Dieser Wert ist in der php.ini festgelegt und kann nicht überschrieben werden.',
  	'AVATAR_URL_INVALID'			=> 'Die angegebene URL ist ungültig.',
  	'AVATAR_URL_NOT_FOUND'			=> 'Die angegebene Datei konnte nicht gefunden werden.',
! 	'AVATAR_WRONG_FILESIZE'			=> 'Der Avatar muss zwischen 0 und %1d %2s groß sein.',
  	'AVATAR_WRONG_SIZE'				=> 'Der hochgeladene Avatar ist %5$d Pixel breit und %6$d Pixel hoch. Avatare müssen mindestens %1$d Pixel breit und %2$d Pixel hoch, aber dürfen maximal %3$d Pixel breit und %4$d Pixel hoch sein.',
  
  	'BACK_TO_TOP'			=> 'Nach oben',
--- 91,100 ----
  	'AVATAR_PARTIAL_UPLOAD'			=> 'Die ausgewählte Datei wurde nur unvollständig hochgeladen.',
  	'AVATAR_PHP_SIZE_NA'			=> 'Die Avatar-Datei ist zu groß.<br />Die durch PHP in der php.ini festgelegte maximale Größe konnte nicht ermittelt werden.',
  	'AVATAR_PHP_SIZE_OVERRUN'		=> 'Die Avatar-Datei ist zu groß, sie darf maximal %1$d %2$s groß sein.<br />Dieser Wert ist in der php.ini festgelegt und kann nicht überschrieben werden.',
+ 	'AVATAR_REMOTE_UPLOAD_TIMEOUT'	=> 'Die Avatar-Datei konnte nicht hochgeladen werden, da die Anfrage zu lange gedauert hat.',
  	'AVATAR_URL_INVALID'			=> 'Die angegebene URL ist ungültig.',
  	'AVATAR_URL_NOT_FOUND'			=> 'Die angegebene Datei konnte nicht gefunden werden.',
! 	'AVATAR_WRONG_FILESIZE'			=> 'Der Avatar muss zwischen 0 und %1$d %2$s groß sein.',
  	'AVATAR_WRONG_SIZE'				=> 'Der hochgeladene Avatar ist %5$d Pixel breit und %6$d Pixel hoch. Avatare müssen mindestens %1$d Pixel breit und %2$d Pixel hoch, aber dürfen maximal %3$d Pixel breit und %4$d Pixel hoch sein.',
  
  	'BACK_TO_TOP'			=> 'Nach oben',
***************
*** 163,173 ****
--- 164,176 ----
  	'EDIT_POST'							=> 'Ändere Beitrag',
  	'EMAIL'								=> 'E-Mail', // Short form for EMAIL_ADDRESS
  	'EMAIL_ADDRESS'						=> 'E-Mail-Adresse',
+ 	'EMAIL_INVALID_EMAIL'				=> 'Die angegebenen E-Mail-Adresse ist ungültig.',
  	'EMAIL_SMTP_ERROR_RESPONSE'			=> 'Probleme beim Mailversand in <strong>Zeile %1$s</strong>. Antwort: %2$s.',
  	'EMPTY_SUBJECT'						=> 'Sie müssen einen Betreff angeben, wenn Sie ein neues Thema erstellen möchten.',
  	'EMPTY_MESSAGE_SUBJECT'				=> 'Sie müssen einen Betreff angeben, wenn Sie eine neue Nachricht verfassen möchten.',
  	'ENABLED'							=> 'Aktiviert',
  	'ENCLOSURE'							=> 'Texterkennungszeichen',
+ 	'ENTER_USERNAME'					=> 'Einen Benutzernamen angeben',
  	'ERR_CHANGING_DIRECTORY'			=> 'Das Verzeichnis konnte nicht gewechselt werden.',
  	'ERR_CONNECTING_SERVER'				=> 'Fehler beim Verbindungsaufbau zum Server.',
  	'ERR_JAB_AUTH'						=> 'Die Anmeldung am Jabber-Server war nicht erfolgreich.',
***************
*** 193,199 ****
  	'FORM_INVALID'			=> 'Das übermittelte Formular war ungültig. Versuchen Sie erneut, das Formular abzusenden.',
  	'FORUM'					=> 'Forum',
  	'FORUMS'				=> 'Foren',
! 	'FORUMS_MARKED'			=> 'Alle Foren wurden als gelesen markiert.',
  	'FORUM_CAT'				=> 'Kategorie',
  	'FORUM_INDEX'			=> 'Foren-Übersicht',
  	'FORUM_LINK'			=> 'Forums-Link',
--- 196,202 ----
  	'FORM_INVALID'			=> 'Das übermittelte Formular war ungültig. Versuchen Sie erneut, das Formular abzusenden.',
  	'FORUM'					=> 'Forum',
  	'FORUMS'				=> 'Foren',
! 	'FORUMS_MARKED'			=> 'Foren wurden als gelesen markiert.',
  	'FORUM_CAT'				=> 'Kategorie',
  	'FORUM_INDEX'			=> 'Foren-Übersicht',
  	'FORUM_LINK'			=> 'Forums-Link',
***************
*** 203,208 ****
--- 206,212 ----
  	'FORUM_RULES_LINK'		=> 'Die Forumsregeln lesen',
  	'FROM'					=> 'von',
  	'FSOCK_DISABLED'		=> 'Dieser Vorgang kann nicht abgeschlossen werden, da die <var>fsockopen</var>-Funktion deaktiviert wurde oder weil der angegebene Server nicht gefunden werden konnte.',
+ 	'FSOCK_TIMEOUT'			=> 'Beim Lesen des Datenstroms ist eine Zeitüberschreitung aufgetreten.',
  
  	'FTP_FSOCK_HOST'				=> 'FTP-Server',
  	'FTP_FSOCK_HOST_EXPLAIN'		=> 'FTP-Server, auf dem sich Ihre Website befindet.',
***************
*** 324,330 ****
  
  	'MARK'					=> 'Markieren',
  	'MARK_ALL'				=> 'Alle markieren',
! 	'MARK_FORUMS_READ'		=> 'Alle Foren als gelesen markieren',
  	'MB'					=> 'MB',
  	'MIB'					=> 'MiB',
  	'MCP'					=> 'Moderations-Bereich',
--- 328,335 ----
  
  	'MARK'					=> 'Markieren',
  	'MARK_ALL'				=> 'Alle markieren',
! 	'MARK_FORUMS_READ'		=> 'Foren als gelesen markieren',
! 	'MARK_SUBFORUMS_READ'	=> 'Unterforen als gelesen markieren',
  	'MB'					=> 'MB',
  	'MIB'					=> 'MiB',
  	'MCP'					=> 'Moderations-Bereich',
***************
*** 340,345 ****
--- 345,353 ----
  	'MODERATE'				=> 'Moderieren',
  	'MODERATOR'				=> 'Moderator',
  	'MODERATORS'			=> 'Moderatoren',
+ 	'MODULE_NOT_ACCESS'		=> 'Auf das Modul kann nicht zugegriffen werden',
+ 	'MODULE_NOT_FIND'		=> 'Modul %s kann nicht gefunden werden',
+ 	'MODULE_FILE_INCORRECT_CLASS'	=> 'Die Modul-Datei %s enthält nicht die korrekte Klasse [%s]',
  	'MONTH'					=> 'Monat',
  	'MOVE'					=> 'Verschieben',
  	'MSNM'					=> 'WLM',
***************
*** 390,395 ****
--- 398,404 ----
  	'NO_POSTS_TIME_FRAME'		=> 'Für den ausgewählten Zeitraum existieren keine Beiträge in diesem Thema.',
  	'NO_FEED_ENABLED'			=> 'Auf diesem Board sind keine Feeds verfügbar.',
  	'NO_FEED'					=> 'Der angeforderte Feed ist nicht verfügbar.',
+ 	'NO_STYLE_DATA'				=> 'Die Style-Daten konnten nicht abgerufen werden',
  	'NO_SUBJECT'				=> 'Kein Betreff vorhanden',								// Used for posts having no subject defined but displayed within management pages.
  	'NO_SUCH_SEARCH_MODULE'		=> 'Das angegebene Such-Backend existiert nicht.',
  	'NO_SUPPORTED_AUTH_METHODS'	=> 'Keine unterstützte Authentifizierungs-Methode vorhanden.',
***************
*** 450,455 ****
--- 459,465 ----
  	'POST_TIME'					=> 'Erstellungsdatum',
  	'POST_TOPIC'				=> 'Neues Thema erstellen',
  	'POST_UNAPPROVED'			=> 'Dieser Beitrag wartet auf Freigabe',
+ 	'POWERED_BY'				=> 'Powered by %s',
  	'PREVIEW'					=> 'Vorschau',
  	'PREVIOUS'					=> 'Vorherige',		// Used in pagination
  	'PREVIOUS_STEP'				=> 'Zurück',
***************
*** 459,464 ****
--- 469,475 ----
  	'PRIVATE_MESSAGING'			=> 'Private Nachrichten',
  	'PROFILE'					=> 'Persönlicher Bereich',
  
+ 	'RANK'						=> 'Rang',
  	'READING_FORUM'				=> 'Liest Themen in %s',
  	'READING_GLOBAL_ANNOUNCE'	=> 'Liest eine globale Bekanntmachung',
  	'READING_LINK'				=> 'Folgt dem Forums-Link %s',
***************
*** 532,537 ****
--- 543,549 ----
  	'SEARCH_TOPIC'				=> 'Thema durchsuchen…',
  	'SEARCH_UNANSWERED'			=> 'Unbeantwortete Themen',
  	'SEARCH_UNREAD'				=> 'Ungelesene Beiträge',
+ 	'SEARCH_USER_POSTS'			=> 'Beiträge des Benutzers suchen',
  	'SECONDS'					=> 'Sekunden',
  	'SELECT'					=> 'Auswählen',
  	'SELECT_ALL_CODE'			=> 'Alles auswählen',
***************
*** 565,574 ****
--- 577,588 ----
  	'SUBJECT'					=> 'Betreff',
  	'SUBMIT'					=> 'Absenden',
  
+ 	'TB'				=> 'TB',
  	'TERMS_USE'			=> 'Nutzungsbedingungen',
  	'TEST_CONNECTION'	=> 'Verbindung testen',
  	'THE_TEAM'			=> 'Das Team',
  	'TIME'				=> 'Zeit',
+ 	'TIB'				=> 'TiB',
  
  	'TOO_LARGE'						=> 'Der angegebene Wert ist zu groß.',
  	'TOO_LARGE_MAX_RECIPIENTS'		=> 'Die Zahl, die als <strong>Maximale Anzahl zulässiger Empfänger pro Privater Nachricht</strong> angegeben wurde, ist zu groß.',
***************
*** 644,650 ****
  	'TOTAL_USERS_ZERO'	=> 'Mitglieder insgesamt: <strong>0</strong>',
  	'TRACKED_PHP_ERROR'	=> 'Aufgefangene PHP-Fehler: %s',
  
! 	'UNABLE_GET_IMAGE_SIZE'	=> 'Die Größe des Bildes konnte nicht ermittelt werden.',
  	'UNABLE_TO_DELIVER_FILE'=> 'Die Datei kann nicht übertragen werden.',
  	'UNKNOWN_BROWSER'		=> 'Unbekannter Browser',
  	'UNMARK_ALL'			=> 'Alle Markierungen entfernen',
--- 658,664 ----
  	'TOTAL_USERS_ZERO'	=> 'Mitglieder insgesamt: <strong>0</strong>',
  	'TRACKED_PHP_ERROR'	=> 'Aufgefangene PHP-Fehler: %s',
  
! 	'UNABLE_GET_IMAGE_SIZE'	=> 'Die Größe des Bildes konnte nicht ermittelt werden. Bitte kontrollieren Sie, ob die eingegebene URL korrekt ist.',
  	'UNABLE_TO_DELIVER_FILE'=> 'Die Datei kann nicht übertragen werden.',
  	'UNKNOWN_BROWSER'		=> 'Unbekannter Browser',
  	'UNMARK_ALL'			=> 'Alle Markierungen entfernen',
***************
*** 653,658 ****
--- 667,676 ----
  	'UNREAD_PMS'			=> '<strong>%d</strong> ungelesene Nachrichten',
  	'UNREAD_POST'			=> 'Ungelesener Beitrag',
  	'UNREAD_POSTS'			=> 'Ungelesene Beiträge',
+ 	'UNWATCH_FORUM_CONFIRM'		=> 'Sind Sie sich sicher, dass Sie dieses Forum nicht mehr beobachten möchten?',
+ 	'UNWATCH_FORUM_DETAILED'	=> 'Sind Sie sich sicher, dass Sie das Forum „%s“ nicht mehr beobachten möchten?',
+ 	'UNWATCH_TOPIC_CONFIRM'		=> 'Sind Sie sich sicher, dass Sie dieses Thema nicht mehr beobachten möchten?',
+ 	'UNWATCH_TOPIC_DETAILED'	=> 'Sind Sie sich sicher, dass Sie das Thema „%s“ nicht mehr beobachten möchten?',
  	'UNWATCHED_FORUMS'			=> 'Sie beobachten die ausgewählten Foren nicht mehr.',
  	'UNWATCHED_TOPICS'			=> 'Sie beobachten die ausgewählten Themen nicht mehr.',
  	'UNWATCHED_FORUMS_TOPICS'	=> 'Sie beobachten die ausgewählten Elemente nicht mehr.',
***************
*** 701,716 ****
  
  	'WARNINGS'			=> 'Verwarnungen',
  	'WARN_USER'			=> 'Benutzer verwarnen',
  	'WELCOME_SUBJECT'	=> 'Willkommen auf %s',
  	'WEBSITE'			=> 'Website',
  	'WHOIS'				=> 'Whois',
  	'WHO_IS_ONLINE'		=> 'Wer ist online?',
  	'WRONG_PASSWORD'	=> 'Sie haben ein fehlerhaftes Passwort angegeben.',
  
  	'WRONG_DATA_ICQ'			=> 'Die angegebene Nummer ist keine gültige ICQ-Nummer.',
  	'WRONG_DATA_JABBER'			=> 'Die angegebene ID ist keine gültige Jabber-ID.',
  	'WRONG_DATA_LANG'			=> 'Die von Ihnen ausgewählte Sprache ist nicht gültig.',
! 	'WRONG_DATA_WEBSITE'		=> 'Die Adresse der Website muss eine gültige URL inklusive des Protokolls sein. Zum Beispiel http://www.phpbb.de/.',
  	'WROTE'						=> 'hat geschrieben',
  
  	'YEAR'				=> 'Jahr',
--- 719,739 ----
  
  	'WARNINGS'			=> 'Verwarnungen',
  	'WARN_USER'			=> 'Benutzer verwarnen',
+ 	'WATCH_FORUM_CONFIRM'	=> 'Sind Sie sich sicher, dass Sie dieses Forum beobachten möchten?',
+ 	'WATCH_FORUM_DETAILED'	=> 'Sind Sie sich sicher, dass Sie das Forum „%s“ beobachten möchten?',
+ 	'WATCH_TOPIC_CONFIRM'	=> 'Sind Sie sich sicher, dass Sie dieses Thema beobachten möchten?',
+ 	'WATCH_TOPIC_DETAILED'	=> 'Sind Sie sich sicher, dass Sie das Thema „%s“ beobachten möchten?',
  	'WELCOME_SUBJECT'	=> 'Willkommen auf %s',
  	'WEBSITE'			=> 'Website',
  	'WHOIS'				=> 'Whois',
  	'WHO_IS_ONLINE'		=> 'Wer ist online?',
  	'WRONG_PASSWORD'	=> 'Sie haben ein fehlerhaftes Passwort angegeben.',
+ 	'WRONG_DATA_COLOUR'			=> 'Der angegebene Farbwert ist nicht gültig.',
  
  	'WRONG_DATA_ICQ'			=> 'Die angegebene Nummer ist keine gültige ICQ-Nummer.',
  	'WRONG_DATA_JABBER'			=> 'Die angegebene ID ist keine gültige Jabber-ID.',
  	'WRONG_DATA_LANG'			=> 'Die von Ihnen ausgewählte Sprache ist nicht gültig.',
! 	'WRONG_DATA_WEBSITE'		=> 'Die Adresse der Website muss eine gültige URL inklusive des Protokolls sein. Zum Beispiel https://www.phpbb.de/.',
  	'WROTE'						=> 'hat geschrieben',
  
  	'YEAR'				=> 'Jahr',
diff -crNEB lang_de_3.0.8/de_x_sie/groups.php lang_de_3.0.13-PL1/language/de_x_sie/groups.php
*** lang_de_3.0.8/de_x_sie/groups.php	2010-06-15 16:47:22.664722000 +0200
--- lang_de_3.0.13-PL1/language/de_x_sie/groups.php	2015-01-31 18:24:56.000000000 +0100
***************
*** 4,15 ****
  * groups [Deutsch — Sie]
  *
  * @package language
! * @version $Id: groups.php 464 2010-06-15 14:47:22Z tuxman $
  * @copyright (c) 2005 phpBB Group; 2006 phpBB.de
  * @license http://opensource.org/licenses/gpl-license.php GNU Public License
  *
  * Deutsche Übersetzung durch die Übersetzer-Gruppe von phpBB.de:
! * siehe docs/AUTHORS und http://www.phpbb.de/go/ubersetzerteam
  *
  */
  
--- 4,15 ----
  * groups [Deutsch — Sie]
  *
  * @package language
! * @version $Id: groups.php 617 2013-09-29 10:21:18Z pyramide $
  * @copyright (c) 2005 phpBB Group; 2006 phpBB.de
  * @license http://opensource.org/licenses/gpl-license.php GNU Public License
  *
  * Deutsche Übersetzung durch die Übersetzer-Gruppe von phpBB.de:
! * siehe docs/AUTHORS und https://www.phpbb.de/go/ubersetzerteam
  *
  */
  
diff -crNEB lang_de_3.0.8/de_x_sie/LICENSE lang_de_3.0.13-PL1/language/de_x_sie/LICENSE
*** lang_de_3.0.8/de_x_sie/LICENSE	1970-01-01 01:00:00.000000000 +0100
--- lang_de_3.0.13-PL1/language/de_x_sie/LICENSE	2015-02-01 00:26:31.723422741 +0100
***************
*** 0 ****
--- 1,281 ----
+ 		    GNU GENERAL PUBLIC LICENSE
+ 		       Version 2, June 1991
+ 
+  Copyright (C) 1989, 1991 Free Software Foundation, Inc.
+                           675 Mass Ave, Cambridge, MA 02139, USA
+  Everyone is permitted to copy and distribute verbatim copies
+  of this license document, but changing it is not allowed.
+ 
+ 			    Preamble
+ 
+   The licenses for most software are designed to take away your
+ freedom to share and change it.  By contrast, the GNU General Public
+ License is intended to guarantee your freedom to share and change free
+ software--to make sure the software is free for all its users.  This
+ General Public License applies to most of the Free Software
+ Foundation's software and to any other program whose authors commit to
+ using it.  (Some other Free Software Foundation software is covered by
+ the GNU Library General Public License instead.)  You can apply it to
+ your programs, too.
+ 
+   When we speak of free software, we are referring to freedom, not
+ price.  Our General Public Licenses are designed to make sure that you
+ have the freedom to distribute copies of free software (and charge for
+ this service if you wish), that you receive source code or can get it
+ if you want it, that you can change the software or use pieces of it
+ in new free programs; and that you know you can do these things.
+ 
+   To protect your rights, we need to make restrictions that forbid
+ anyone to deny you these rights or to ask you to surrender the rights.
+ These restrictions translate to certain responsibilities for you if you
+ distribute copies of the software, or if you modify it.
+ 
+   For example, if you distribute copies of such a program, whether
+ gratis or for a fee, you must give the recipients all the rights that
+ you have.  You must make sure that they, too, receive or can get the
+ source code.  And you must show them these terms so they know their
+ rights.
+ 
+   We protect your rights with two steps: (1) copyright the software, and
+ (2) offer you this license which gives you legal permission to copy,
+ distribute and/or modify the software.
+ 
+   Also, for each author's protection and ours, we want to make certain
+ that everyone understands that there is no warranty for this free
+ software.  If the software is modified by someone else and passed on, we
+ want its recipients to know that what they have is not the original, so
+ that any problems introduced by others will not reflect on the original
+ authors' reputations.
+ 
+   Finally, any free program is threatened constantly by software
+ patents.  We wish to avoid the danger that redistributors of a free
+ program will individually obtain patent licenses, in effect making the
+ program proprietary.  To prevent this, we have made it clear that any
+ patent must be licensed for everyone's free use or not licensed at all.
+ 
+   The precise terms and conditions for copying, distribution and
+ modification follow.
+ 
+ 		    GNU GENERAL PUBLIC LICENSE
+    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
+ 
+   0. This License applies to any program or other work which contains
+ a notice placed by the copyright holder saying it may be distributed
+ under the terms of this General Public License.  The "Program", below,
+ refers to any such program or work, and a "work based on the Program"
+ means either the Program or any derivative work under copyright law:
+ that is to say, a work containing the Program or a portion of it,
+ either verbatim or with modifications and/or translated into another
+ language.  (Hereinafter, translation is included without limitation in
+ the term "modification".)  Each licensee is addressed as "you".
+ 
+ Activities other than copying, distribution and modification are not
+ covered by this License; they are outside its scope.  The act of
+ running the Program is not restricted, and the output from the Program
+ is covered only if its contents constitute a work based on the
+ Program (independent of having been made by running the Program).
+ Whether that is true depends on what the Program does.
+ 
+   1. You may copy and distribute verbatim copies of the Program's
+ source code as you receive it, in any medium, provided that you
+ conspicuously and appropriately publish on each copy an appropriate
+ copyright notice and disclaimer of warranty; keep intact all the
+ notices that refer to this License and to the absence of any warranty;
+ and give any other recipients of the Program a copy of this License
+ along with the Program.
+ 
+ You may charge a fee for the physical act of transferring a copy, and
+ you may at your option offer warranty protection in exchange for a fee.
+ 
+   2. You may modify your copy or copies of the Program or any portion
+ of it, thus forming a work based on the Program, and copy and
+ distribute such modifications or work under the terms of Section 1
+ above, provided that you also meet all of these conditions:
+ 
+     a) You must cause the modified files to carry prominent notices
+     stating that you changed the files and the date of any change.
+ 
+     b) You must cause any work that you distribute or publish, that in
+     whole or in part contains or is derived from the Program or any
+     part thereof, to be licensed as a whole at no charge to all third
+     parties under the terms of this License.
+ 
+     c) If the modified program normally reads commands interactively
+     when run, you must cause it, when started running for such
+     interactive use in the most ordinary way, to print or display an
+     announcement including an appropriate copyright notice and a
+     notice that there is no warranty (or else, saying that you provide
+     a warranty) and that users may redistribute the program under
+     these conditions, and telling the user how to view a copy of this
+     License.  (Exception: if the Program itself is interactive but
+     does not normally print such an announcement, your work based on
+     the Program is not required to print an announcement.)
+ 
+ These requirements apply to the modified work as a whole.  If
+ identifiable sections of that work are not derived from the Program,
+ and can be reasonably considered independent and separate works in
+ themselves, then this License, and its terms, do not apply to those
+ sections when you distribute them as separate works.  But when you
+ distribute the same sections as part of a whole which is a work based
+ on the Program, the distribution of the whole must be on the terms of
+ this License, whose permissions for other licensees extend to the
+ entire whole, and thus to each and every part regardless of who wrote it.
+ 
+ Thus, it is not the intent of this section to claim rights or contest
+ your rights to work written entirely by you; rather, the intent is to
+ exercise the right to control the distribution of derivative or
+ collective works based on the Program.
+ 
+ In addition, mere aggregation of another work not based on the Program
+ with the Program (or with a work based on the Program) on a volume of
+ a storage or distribution medium does not bring the other work under
+ the scope of this License.
+ 
+   3. You may copy and distribute the Program (or a work based on it,
+ under Section 2) in object code or executable form under the terms of
+ Sections 1 and 2 above provided that you also do one of the following:
+ 
+     a) Accompany it with the complete corresponding machine-readable
+     source code, which must be distributed under the terms of Sections
+     1 and 2 above on a medium customarily used for software interchange; or,
+ 
+     b) Accompany it with a written offer, valid for at least three
+     years, to give any third party, for a charge no more than your
+     cost of physically performing source distribution, a complete
+     machine-readable copy of the corresponding source code, to be
+     distributed under the terms of Sections 1 and 2 above on a medium
+     customarily used for software interchange; or,
+ 
+     c) Accompany it with the information you received as to the offer
+     to distribute corresponding source code.  (This alternative is
+     allowed only for noncommercial distribution and only if you
+     received the program in object code or executable form with such
+     an offer, in accord with Subsection b above.)
+ 
+ The source code for a work means the preferred form of the work for
+ making modifications to it.  For an executable work, complete source
+ code means all the source code for all modules it contains, plus any
+ associated interface definition files, plus the scripts used to
+ control compilation and installation of the executable.  However, as a
+ special exception, the source code distributed need not include
+ anything that is normally distributed (in either source or binary
+ form) with the major components (compiler, kernel, and so on) of the
+ operating system on which the executable runs, unless that component
+ itself accompanies the executable.
+ 
+ If distribution of executable or object code is made by offering
+ access to copy from a designated place, then offering equivalent
+ access to copy the source code from the same place counts as
+ distribution of the source code, even though third parties are not
+ compelled to copy the source along with the object code.
+ 
+   4. You may not copy, modify, sublicense, or distribute the Program
+ except as expressly provided under this License.  Any attempt
+ otherwise to copy, modify, sublicense or distribute the Program is
+ void, and will automatically terminate your rights under this License.
+ However, parties who have received copies, or rights, from you under
+ this License will not have their licenses terminated so long as such
+ parties remain in full compliance.
+ 
+   5. You are not required to accept this License, since you have not
+ signed it.  However, nothing else grants you permission to modify or
+ distribute the Program or its derivative works.  These actions are
+ prohibited by law if you do not accept this License.  Therefore, by
+ modifying or distributing the Program (or any work based on the
+ Program), you indicate your acceptance of this License to do so, and
+ all its terms and conditions for copying, distributing or modifying
+ the Program or works based on it.
+ 
+   6. Each time you redistribute the Program (or any work based on the
+ Program), the recipient automatically receives a license from the
+ original licensor to copy, distribute or modify the Program subject to
+ these terms and conditions.  You may not impose any further
+ restrictions on the recipients' exercise of the rights granted herein.
+ You are not responsible for enforcing compliance by third parties to
+ this License.
+ 
+   7. If, as a consequence of a court judgment or allegation of patent
+ infringement or for any other reason (not limited to patent issues),
+ conditions are imposed on you (whether by court order, agreement or
+ otherwise) that contradict the conditions of this License, they do not
+ excuse you from the conditions of this License.  If you cannot
+ distribute so as to satisfy simultaneously your obligations under this
+ License and any other pertinent obligations, then as a consequence you
+ may not distribute the Program at all.  For example, if a patent
+ license would not permit royalty-free redistribution of the Program by
+ all those who receive copies directly or indirectly through you, then
+ the only way you could satisfy both it and this License would be to
+ refrain entirely from distribution of the Program.
+ 
+ If any portion of this section is held invalid or unenforceable under
+ any particular circumstance, the balance of the section is intended to
+ apply and the section as a whole is intended to apply in other
+ circumstances.
+ 
+ It is not the purpose of this section to induce you to infringe any
+ patents or other property right claims or to contest validity of any
+ such claims; this section has the sole purpose of protecting the
+ integrity of the free software distribution system, which is
+ implemented by public license practices.  Many people have made
+ generous contributions to the wide range of software distributed
+ through that system in reliance on consistent application of that
+ system; it is up to the author/donor to decide if he or she is willing
+ to distribute software through any other system and a licensee cannot
+ impose that choice.
+ 
+ This section is intended to make thoroughly clear what is believed to
+ be a consequence of the rest of this License.
+ 
+   8. If the distribution and/or use of the Program is restricted in
+ certain countries either by patents or by copyrighted interfaces, the
+ original copyright holder who places the Program under this License
+ may add an explicit geographical distribution limitation excluding
+ those countries, so that distribution is permitted only in or among
+ countries not thus excluded.  In such case, this License incorporates
+ the limitation as if written in the body of this License.
+ 
+   9. The Free Software Foundation may publish revised and/or new versions
+ of the General Public License from time to time.  Such new versions will
+ be similar in spirit to the present version, but may differ in detail to
+ address new problems or concerns.
+ 
+ Each version is given a distinguishing version number.  If the Program
+ specifies a version number of this License which applies to it and "any
+ later version", you have the option of following the terms and conditions
+ either of that version or of any later version published by the Free
+ Software Foundation.  If the Program does not specify a version number of
+ this License, you may choose any version ever published by the Free Software
+ Foundation.
+ 
+   10. If you wish to incorporate parts of the Program into other free
+ programs whose distribution conditions are different, write to the author
+ to ask for permission.  For software which is copyrighted by the Free
+ Software Foundation, write to the Free Software Foundation; we sometimes
+ make exceptions for this.  Our decision will be guided by the two goals
+ of preserving the free status of all derivatives of our free software and
+ of promoting the sharing and reuse of software generally.
+ 
+ 			    NO WARRANTY
+ 
+   11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
+ FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
+ OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
+ PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
+ OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+ MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
+ TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
+ PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
+ REPAIR OR CORRECTION.
+ 
+   12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
+ WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
+ REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
+ INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
+ OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
+ TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
+ YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
+ PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
+ POSSIBILITY OF SUCH DAMAGES.
+ 
+ 		     END OF TERMS AND CONDITIONS
+ 
